### Time elapsed (tested on csgrads1 server)
*Note*: timings are reported for a single run. Ideally, they should be averaged over 5-6 runs and reported. 

**Lemma version:**
Time (in seconds) to build uncompressed index using lemma = 15
Time (in milli seconds) to write compressed (blocking + gamma) to disk = 127
Time (in milli seconds) to write compressed (front-coding + delta) to disk = 91

**Stem version:**
Time (in seconds) to build uncompressed index using stem = 15
Time (in milli seconds) to write compressed (blocking + gamma) to disk = 149
Time (in milli seconds) to write compressed (front-coding + delta) to disk = 97

### Size of indexes (in bytes)

**Lemma version:**
Size of uncompressed = 1137166
Size of compressed.gamma = 700990 (38.3% smaller than uncompressed version)
Size of compressed.delta.frontcoding = 692025 (39.1% smaller than uncompressed version)

**Stem version:**
Size of uncompressed = 1047816
Size of compressed.gamma = 659230 (37.1% smaller than uncompressed version)
Size of compressed.delta.frontcoding = 652814 (37.7% smaller than uncompressed version)

### Number of inverted lists

**Lemma version:** 7470
**Stem version:** 6256

### Term information for a few stems
**Notes:** df = document frequency, tf = term frequency across all documents, len represents length of inverted list in bytes

term = reynold, df = 200, tf = 584, len(uncompressed) = 1600, len(gamma) = 979, len(delta) = 979
term = nasa, df = 145, tf = 293, len(uncompressed) = 1160, len(gamma) = 682, len(delta) = 682
term = prandtl, df = 63, tf = 143, len(uncompressed) = 504, len(gamma) = 334, len(delta) = 334
term = flow, df = 730, tf = 2810, len(uncompressed) = 5840, len(gamma) = 3184, len(delta) = 3184
term = pressur, df = 551, tf = 1933, len(uncompressed) = 4408, len(gamma) = 2485, len(delta) = 2485
term = boundari, df = 467, tf = 1652, len(uncompressed) = 3736, len(gamma) = 2127, len(delta) = 2127
term = shock, df = 239, tf = 976, len(uncompressed) = 1912, len(gamma) = 1133, len(delta) = 1133

### Example entry: NASA
df = 145

`docId` of 89, for example, represents the file `cranfield0089`

For the first three entries in the posting list,
1. docId = 53, tf = 2, max_tf = 49, doc_len = 230
2. docId = 58, tf = 2, max_tf = 54, doc_len = 185
3. docId = 68, tf = 2, max_tf = 63, doc_len = 123

### Terms with largest and smallest `df`

#### Lemma version
**Term with largest `df`:** to

**Terms with smallest `df`:**
[100degree, 100x10, 109placement, 10g, 10th, 1103a, 12degree, 1400degreek, 14in, 159l, 15x10, 180degree, 18in, 1degree, 1f, 1x10, 200degree, 20degreec, 20in, 24s, 2by, 2n, 2nd, 2p, 2x10, 3000degreek, 30th, 32pp, 3600degreek, 40degree, 446j, 49degree, 4degree, 4ft, 4th, 4x10, 500degree, 55degree, 57d19a, 58l, 58w, 59a, 5d, 6000degreek, 63a2xx, 63a4xx, 64a010, 65a004, 65degree, 6in, 6th, 707a, 75degree, 75s, 81e, 85degree, 8n, 8x10, 99degree, a131, a159, a252, a269, a50f06, a51j04, a52b06, a55c08, a55c23, a55h31, a56b15, aaaero, aaaeroconf, aasu, abbott, abbreviated, ablatedlength, ablative, abovementioned, absent, abundantly, accelerometer, accentuate, acceptability, acceptably, acceptance, accessible, accidental, accompanying, accountable, accrue, accumulate, acetate, achievable, acoust, acoustically, acquisition, acr, acrodynamic, acrothermochemistry, acrothermoelasticity, acting, actural, adamson, adaptable, additive, ade, adjacentequilibrium, adjoining, adjoint, admixture, adsorption, advent, aeolotropic, aer, aerelastic, aerfoil, aerial, aeroballistic, aerocosmonautic, aerodynamicheating, aerodynamieist, aeroelastician, aeronautique, aerothermal, aerothermochemical, aerothermodynamic, aerothermoelastic, affinely, affinity, affirmative, afftc-tn-56-20, afraes, afresh, afterburner, afterflow, age, agency, agrawal, agreed, ailcron, airborne, aircrafttype, airforce, airliner, airload, airscrew, ak, akin, al1029, alan, algrantus, align, alksne, allcock, allmovable, allround, allude, altered, alternately, alternatively, altogether, ambrit, ambritire, amiee, amongst, ample, amplifier, amply, analogously, analoguous, analyser, analyses, analyticially, analyzable, analyzer, anastasio, anc, andlanding, angele, angew, anh, anhedral, anisotropy, ann, annex, anniv, announce, annual, annul, anove, anthony, anti, antielastic, antisymmetric, antisymmetrical, anyway, ao, apogee, apparentmass, appraisal, appraise, appraisement, appraoch, apropriate, aquart, ara, arbor, arch, ardc, aren, arithmetic, arithmetical, armstrong, arrest, arrow, arsj, arsjnl, ary, as-received, asce, ascribe, ashley, ashwell, aside, asimplified, ask, aspect-ratio-2, aspect-ratio-6, aspectratio, assembly, assert, assistance, associated, association, assortment, assure, astro, astronautics, astrophy, astrophysics, atabeck, atlarge, atosphere, attaindd, attained, attainment, atten, attract, audio, augment, augmented, aural, auspices, authority, av, availability, avaluated, avove, avro, ax, axialthrust, ayre, backing, backup, backward, bakanov, balanced, balsa, ban, bang, barber, bare, barmby, baron, barrel, barry, bartle, basetype, baughman, bb, beasley, beat, beckett, bed, beg, belief, belleville, bellman, belltype, belt, bendict, bendingtorsion, benser, bent, benton, beograd, ber, berger, bergle, bergmann, berlot, bernard, berndt, berner, bernoulli, berthelot, beskin, beta, bethpage, beveled, beyween, bifurcated, bifurcation, bijlaard, billow, bimetallic, bimolecular, birchall, birnbaum, bisector, bisplinghoff, blackie, blackstock, bladed, bland, bleich, blended, blessing, blocking, blowout, bloxson, blue, bluish, blunted, blunttrailing, board, boat, bobbitt, bodt, boiloff, boison, bolshakov, bolz, bomb, bonus, booming, boost, borcher, borne, bornel, bounary, boundwell, boxall, boyd, boyer, bracalente, bracket, branchline, brandmaier, bratt, braunschweig, breathe, breguet, brenckman, brevoort, brightness, bristol, britton, broadbent, broadwell, bromm, brother, brower, browne, bruch, brush, bryant, bryce, bryer, bryson, buffet, builtup, bulent, bulge, bulkhead, bullen, bullet, bump, buoyancy, burgraf, buried, burke, burton, bury, butler, buzz, bv, by-characteristic, bypass, cabin, calcualted, calcualtion, caliber, callaghan, callahan, camac, camb, camera, canard, cancellation, cant, canted, capillary, capped, capsule, caravelle, carbide, carborundum, card, carderock, cardullo, caret, carro, carrying, casaccio, cast, castigliano, castile, castolite, catalytic, catalytically, cater, catherall, cathode, caution, cavitate, cavitating, ccl, cd, cellulose, centaur, centered, centerof, centigrade, centreline, centripetal, centroid, certainty, chain, chalre, chann, chap, characteristy, charczenko, charter, charts, chase, chaudhury, chemisorption, chen, chesky, chester, chien, child, chilver, ching, chinitz, chinneck, choleskus, chou, chow, chrichlow, christiaen, christian, circling, circuit, circuitry, circumlunar, city, ck, clamshell, classic, classically, classificaiton, classify, clauser, clausing, clean, clearance, climinate, clinton, clippinger, closeness, closest, closure, clouston, clutter, co-author, co-current, co-planar, co-rotating, co-worker, co2, coalescence, coarse, coast, coating, coe, coefstant, coherent, colder, coleman, collaboration, collaborator, collectively, collocation, colour, colston, columnmaterial, combustionheated, combution, command, commence, commercially, communication, comp, companion, compatible, compete, competition, complimentary, compound, compressibleflow, compressing, compressional, compressors, comput, conceivable, conceivably, concise, concisely, concoct, concrete, concurrently, condamp, condensed, conductioncontrolled, conductionexpansion, conductor, conf, confidence, conformally, conformaltransformation, conformity, confused, confusing, congr, conically, conidtion, connected, connexion, connor, conpressibility, conservativeness, considered, consierable, consolidate, const, constancy, constantdensity, constantinescu, constantino, constantly, constitution, consultant, consulting, consumption, contemplate, contents, context, continually, continued, contoured, contract, contracting, contradiction, controller, contus, convair, convecting, conveniently, convergentdivergent, converse, conviction, convolution, cooksey, cooler, cooper, coordinator, cope, copper, corollary, corpuscular, corrective, correctness, correlogram, cortright, cosine, cosmonautic, coulomb, coundary, count, counteract, counterclockwise, coupon, covered, cp115, cp213, cp271, cp394, craft, crandal, crandall, creager, crease, creepbuckling, creeping, crest, crew, crewe, crinoline, criticism, criticize, crooked, cropped, crosscorrelation, crushed, csanady, cubbison, culebra, cumbersome, cumming, cup, cure, curling, curran, currie, curtain, curti, curving, cusp, cuss, cutoff, cx, cycles, cylinderhemisphere, cylinderical, d-1016, d-1108, d-1186, d-1202, d-1374, d-1382, d-1503, d-1507, d-1521, d-48, d-515, d-580, d-649, d-693, d-743, d-800, d-855, d-893, d-914, d-c, d1000, d1074, d1145, d118, d1224, d1239, d1299, d1304, d1327, d1333, d1352, d1353, d1385, d1391, d1427, d1428, d1476, d1482, d1485, d1487, d1494, d1500, d1501, d1506, d1509, d1513, d1549, d1562, d1605, d161, d1616, d1648, d235, d278, d280, d284, d349, d360, d397, d44, d452, d48, d49, d53, d535, d56, d564, d590, d618, d625, d659, d671, d689, d704, d729, d730, d731, d735, d753, d791, d798, d813, d826, d833, d859, d860, d880, d881, d921, d962, d977, d984, daiber, daley, dalton, damaging, dampometer, dana, danger, dangerous, dashin, dashn, dashthat, dashthe, daughaday, davis, daytime, dcae, dcf, de-exciting, debatable, dec, decade, decaying, decidedly, decision, decisively, declassify, decline, decompose, decomposition, deduct, deeper, deepest, defference, definable, deflagration, deformable, defy, degrade, degreer, deich, deionization, deisgn, delft, delimit, delineate, demarcation, demarcus, dence, deni, denmark, denomination, denser, dent, dependency, depict, depletion, depression, deputy, derivable, deryagin, des, describable, descriptively, designate, desk, detectable, determinable, determinant, determinantal, determinate, deutsche, dev, devel, developable, developed, devrease, dewpoint, df, diaconi, diagonal, diam, diaz, dicamillo, dickinson, dicsover, dictate, diego, dielectric, differentiation, diffuse, diffusely, diffusive, digit, dilation, dill, dilute, dimensioning, dimmock, dipole, dirac, directive, dirichlet, discern, discernible, discharging, discoverer, discretefrequency, disequilibrium, dislocation, dismiss, disparity, dispersed, dispersion, disposable, dissertation, dissimilar, dissociationrecombination, distant, distinguishing, disturb, div, diverging, diverse, diversified, dn, doctor, dodecagonal, doggett, dome, don, doppler, dore, dorodnitsyn, dorodnitzinhowarth, dorodnitzyn, dorrance, dosanjh, doubling, doubly, doubtful, dougla, dover, doyle, dp, dragutin, dramatic, dransfield, drape, draper, drastic, drift, drilling, driving, drooped, dropoff, drosophilum, drougge, drum, dsc, du, dubose, duce, dufour, dugan, dugundjus, dugundus, duncan, dunsby, dunwoody, duplicate, duplicated, duralumin, dusinberre, dust, dvl, dx, dyer, e-d, e-versus-time, e05a, e53h25, e56b03b, e56l07, e57e06, e9k25, earl, easier, easiest, echo, economical, economics, economo, economy, eddyviscosity, edelfelt, edelflet, edgedisplacement, edges, edition, edpm, educational, ef, efe, effects, efficacious, efflux, effusion, egat, eggington, egm, eigenvector, einbinder, ejector, elec, electro, electrode, electroformed, electrohydrodynamic, electrostatically, elegant, elemental, elevation, elevator, elimination, ellipselike, elliptically, elongate, embed, embryonic, emerge, emitting, emphasise, ence, encircle, enclosed, encourage, endeavour, ended, endorse, endplate, endurance, engesser, engined, eniac, enjoy, enlighten, enormously, enquiry, enskog, ensue, enthalpic, entirety, entitle, entrain, envisage, eo, ep, epoxy, equatorial, equicohesive, equilateral, equilibrate, equivalently, erature, erdmann, erfc, erickson, erosive, erratic, errors, estimated, eter, eucken, eulerian, ev, eventual, everett, evvard, exaggeration, examinable, excessively, exchanger, excuse, exhaustive, exotic, exp, expanded, expectation, expend, experimenter, exploration, explosive, exponentiallyficient, expound, extendible, extensible, extinction, extra, extremal, eye, f-100, f-35, f1, f2, f40umerical, f8u-3, facet, fage, faget, falangan, fale, fano, farmingdale, fasten, fat, faulder, feb, fec, fed, feeding, fetterman, fewer, ff-30, fg, fh, fibrous, fictitious, fictitiously, figs, financial, fine, finely, fineness-ratio-2, finest, finish, finitedifference, fire, firm, firmer, firstorder, fisher, fission, fixedpitch, fixing, fl-layer, flagg, flanged, flared, flash, flatness, flatplate, flax, flex, fllayer, flocculent, florida, flown, fluctuating, fluiddynamic, fluidized, fn, foelsch, fog, fohrman, folson, forbe, forcible, forecasting, forefront, foreknowledge, formulism, forray, forst, fort, forty, forwardacceleration, forwardfacing, forwardflight, foughner, foundation, fourcomponent, fourthorder, fourwave, fox, fpre, fraiser, france, franci, frank, frankel, fredholm, freedman, freudenthal, frictionless, friedman, frontal, frozenflow, fruit, frustration, fujihiko, fund, fur, furnace, fuse, fuselagesection, g-load, gallagher, gardless, garner, gascous, gasdynamical, gather, gaydon, geckeler, gee, gehr, generalized, generated, generating, genuine, geoffrey, geophy, geophysical, georgium, germany, gerrard, gersten, gibbs, gilbert, gill, ginzel, giraud, gj, gk, gkbatchelor, glance, glassy, glenny, glick, globule, glycerin, gm-tr-0165-00519, goal, goddard, goebel, goetz, golian, gollnick, goodier, goodwin, gorcum, goree, gothic, gottenberg, gouse, governing, graduate, grams, grand, grant, granular, granville, grape, grashof, grasshof, gravitz, gray, grazing, greensite, gregg, gridwork, grifith, grober, grossman, grunow, gs, gt, guggenheim, guy, gvr, gyration, gyroscope, gyroscopic, gz, h-200, h-p, h180, h2, h2o, haag, haberman, hadamard, haggenmacher, hain, hale, haley, halfangle, halfway, halstead, halve, hama, hamel, hamilton, hammerhead, hammerling, hammond, hamper, hanawalt, hancock, handbook, handicap, handley, handling, hangling, hankelman, hantzsche, hara, harden, hardware, harold, hartnett, hartunian, hash, haskell, haslet, hasse, hasten, hasting, hauser, haveg, hay, hayday, hayer, hayman, hazard, headed, heading, heaslet, heaslett, heave, heavier, heimel, heimenz, heisler, heldenfel, helger, helical, heliocentric, hemispheroidal, hemus, hencky, hennessy, herberle, hero, herriot, herrnstein, heuman, heywood, hick, hickman, highenergy, higherorder, highfrequency, highvelocity, hilsenrath, himself, hinder, hingeaxi, hinson, hirschfelder, hirshfelder, hislop, historic, historically, hitherto, hja, hm, hodge, hodographic, hog, hoge, holding, holer, holl, holland, holloway, hollowcylinder, homann, home, homing, homogenous, hopelessly, hopf, hopkin, hopper, hosokawa, hosowaka, hotter, houbolt, housefly, housing, howard, howell, howorth, hpyersonic, hroma, hromas, hu, huber, hubka, huckell, huff, hufton, huggett, hugh, hughe, humphrey, hundred, hunter, hunton, hunziker, hurd, hurle, huston, hybrid, hydraulic, hydraulically, hydroballistic, hydrocarbon, hyett, hyp, hypass, hyperliptic, hypersoule, hysol, hysteretic, i-beam, i-dee, i-section, i-vi, ibm-704, idealize, identically, identifiable, identity, iee, iferation, igc, ignorable, igy, iii-4, illinois, illustrious, imaginary, imai, immobile, immovable, impair, impart, imperial, implement, impression, imprimerie, improper, in-flight, in-phase, in-plane, inaccessible, inadmissable, inadvertently, inafinite, inapplicable, inappropriate, inasmuch, inboard, incidental, including, inclusive, incoming, inconclusive, inconel, inconsistency, inconsistent, incrementalnormal, indefinitely, indetermine, indicated, indirectly, indium, inducedpressure, inductance, inefficient, inertial, inevitably, inexpensive, infiniteaspect, infite, influential, ing, inhomogeneous, injectioncooled, injector, ink, inletmass, inoperative, inouye, inplane, insect, insertion, inspire, instant, instigate, instruct, instruction, integrable, integrand, integrated, integrity, integrodifferential, intensification, intensify, intention, intentionally, interanl, interchangeable, interconnect, intercrystalline, interdependence, interferogram, intergranular, interim, internat, interpose, interpretive, interstellar, intimately, intractable, intrierus, intrinsically, introdure, intuition, invariably, investigaion, inviscidflow, invoke, inwards, inyokern, iodine, iowa, irbm, ire, iron, irritant, irve, irving, isaac, isakson, isochronousstress, isofoam, isolation, isotope, item, iw, jackson, jacob, jacobian, jahsman, jame, janzen, jaszlic, jay, jeffery, jeffrey, jeg, jenson, jetboundary, jetexit, jetlike, jetstream, jhb, ji, jmin, jmjn, jnb, jnr, jo, jogarao, johannesen, johansen, jointly, jones, jouguet, joule, joyce, jplprog, jra, judiciously, jugoslavium, jukoff, justifiable, k-25, ka, kallmann, kalman, kana, kanwal, karchmar, kawagutus, keating, keck, keenan, keener, keith, kelley, kempf, kendrick, kenny, kernal, kernelfunction, kerrebrock, kester, keulegan, keune, kfa, kh, kidalgo, kilakowskus, kilometre, kinematically, kingdom, kink, kinked, kippenhan, kirby, kivel, kj, klebanoff, kleeman, knee, knox, ko, kochendorfer, kogan, komoda, korkegus, kosson, kramp, krasilshchikova, krieger, krqus, krumm, krypton, kth, kubota, kuehn, kuethe, l-band, l40, l51e09, l52119a, l53e27, l53h04, l54e05a, l54i16, l55k30, l56106, l56e07, l58, l58a16, l58e15a, l58e22, l5d20, l9g06, labour, lackman, lacquer, laguerre, laidlaw, lakshmikantham, lambert, laminarboundary, laminarturbulent, laminary, laminate, lance, landau, landrum, langer, langhaar, lap, laplacian, lardner, largeangled, largeaspect, largechord, largescale, late, latent, latitudes, launched, laurence, lavender, lawe, layered, legitimate, lehnert, lengthen, lennard, leonard, letko, letter, lever, levin, levinsky, liable, liapunov, libove, libration, librove, license, lieberstein, liebersten, liepmann, liftingsurface, lightly, liilum, lina, linder, lindholm, lineal, linearisation, linearizedtheory, lingitudinal, liouville, lip, liquidinjection, literal, livesley, livingood, lmethod, ln, lobe, lobed, localize, localsimilarity, lochtenberg, locus, logically, loitsianskius, longest, longitudinalvortice, longtime, loo, look, loop, lopatoff, lotz, loudspeaker, loui, lowaspect, lowsubsonic, lowturbulence, lr, lr-284, ls, ltd, lubricant, lucid, ludweig, ludwieg, luftfahrt, luiden, lunar, lw, lynn, lyskov, m-2, m3012, m359, mabey, macadam, macdonald, machell, machined, machnumber-8, mackenzie, macneal, magasarian, magnesium, magnetoacoustic, magnetofluidmechanic, magnetoga, magnetoplasma, magnified, magnify, mahony, maillard, maintainance, maintained, maintenance, majorminor, making, malfunction, malvestuto, manager, maneuvering, mang, manocuvre, manoeuvring, manometer, manufacture, marin, mario, maritime, marsden, martelluccus, maryland, mas, massachusett, massbalance, massbalanced, master, masus, mather, matting, maurice, mautner, maximuin, maxwell, maye, mayo, mbt, mccarthy, mccomb, mcconnell, mcdearmon, mcgraw, mcgregor, mcisaac, mckenzie, mckinnon, mclachlan, mclafferty, mclean, mcmillan, mcnown, mdc, me-tn-392-1, mead, meansquare, measurable, measurements, meh, mehtod, meissner, melamine, mello, melt, melvin, memorial, merely, merger, merle, merriam, mescall, mesh, messiter, metals, meteorite, methanol, mev, mf, mhd, mich, micromanometer, micron, microwave, midchord, middlesex, midspan, midway, miele, migrate, mikula, mil, mild, miller, millimeter, miltonberger, mind, miner, minhinnick, minimization, minneapoli, mirror, misalign, misaligned, misalinement, mismatch, mistake, mitigate, mixedflow, miyaus, ml, mo, modeling, mol, molten, molybdenum, momentary, monograph, monopole, monoxide, morning, mostly, motionless, mound, mountain, mp, ms26, msvo, mth, muffler, mulheim, mullen, muller, multhopp, multiaxial, multibay, multicellular, multicomponent, multipropeller, multistaging, multus, mum, munk, murduchow, murrow, mushtarus, mw-1, myself, n102, n103, naaa, nacelleexit, nack, nada, nagakura, naleid, nall, nardo, naruse, nation, nationale, nautical, naysmith, nbs, nd, ne, nearer, neater, negation, neice, neighbouring, ness, neumark, neutrally, newly, news, newsom, newtonium, neyman, ni, nice, nichol, nick, nicley, nimonic, ninefold, nineteen, ninth, nitric, nitzburg, no-slip, nocturnal, nomenclature, nominally, nomograph, nonablating, nonaligned, nonaxisymmetrical, noncirculatory, noncommunicating, nonconcurrence, nonconduct, nonconduction, noncorrosive, nondecomposing, nondimensionalized, nonexistence, nonflammable, nongyroscopic, nonheat, nonhomogeneous, noninclined, noninjection, noninsulated, nonisentropic, nonisothermal, nonnegative, nonorthogonal, nonpermeable, nonplanar, nonreacting, nonreactive, nonrigorous, nonsingular, nonslationary, nonslender, nonsphere, nonspherical, nontoxic, nontrivial, nonunity, nonvanish, nonvanishing, nonweiler, normalpressure, norman, notable, noted, noteworthy, noticeably, notion, nozzleexit, np, nr, nt, nullify, numberical, numger, nuttall, nw, nyholm, o2, ob, objectionable, obliquely, obliterated, obscure, observational, obtainec, obtainment, obviously, oc, occasionally, occupy, occurs, oct, octagonal, octahedral, octave, ofattack, offenhartz, offset, ofr, ogival, ogivecylinder, ohm, ohman, ok, okuno, ol, old, olsson, olstad, om, oman, onera, onetenth, onic, ont, onto, op, opaque, openended, operative, oppenheim, opportunely, opportunity, opposing, opposition, optics, optimal, orderof, organization, orgin, orient, origint, orlfice, orlik, orr, orthogonality, orthogonally, osborn, osborne, oscillator, oscillograph, osoen, ottawa, ouel, ours, outermost, outwards, outweight, ovaluate, oven, overestimation, overexpansion, overhang, overlook, overly, overriding, overshadow, oversimplification, oversimplify, overstability, overstatement, overswing, ower, owing, oxide, p-28, p-43, p-function, p.229-245, p143, p184, p241, p307, p35, p43, p480-1, p513, padlog, pai, paine, painleve, paint, palte, panels, pankhurst, pappa, papreg, para, parabola, parallell, parasol, pari, parietale, parke, particledensity, particulars, partition, passenger, pau, peckman, peclet, peculiar, pegg, peng, penland, pennelegion, pennington, penzien, people, percentthick, perfectga, perforation, periment, permeability, permissable, perplexing, persh, personal, pessimistic, petersohn, pf, phasing, philadelphium, phillip, philo, phosphorescent, photoelastic, phugoid, physcal, physico, physiological, picard, pierce, piercy, pimple, pin, pindroh, pitman, planck, planetocentric, plast, plastically, plateau, platinum, plausibly, plenum, plk, plohr, plotting, plunging, ply, pn, pneumatic, pod, poetic, poincare, poind, pointednose, poiscuille, pole, polished, polyaxial, polycrystalline, polygonal, polymer, polystyrene, ponderomotive, poole, popular, popularly, portious, pose, postpone, potentialflow, potentially, potentiometer, poudres, powering, powerplant, practicably, practitioner, prager, prebuckled, precession, precipitously, precise, precisely, preclude, predictable, predictive, predigest, prefer, preferred, preheat, premise, premixed, prep, prepared, preponderance, preserving, pressureinteraction, pressureized, pressureratio, prevalence, previouslygiven, prewhirl, prian, price, pride, priester, prikl, prime, prism, prismatic, processed, producer, profound, programed, programing, programming, proj, prolate, prominence, propagating, propel, propellerresearch, proportionality, proportionate, proposal, proposel, proposition, propound, prospects, protein, proton, protrusion, protuberance, providence, provision, provisional, provoke, pseudo, psus, psychological, pugh, pursue, puzzle, pwh, pyramidal, pyrex, qjmech, quadratic, quadratically, quadruplet, qualitiative, quantum, quarterchord, quartic, quasus, queiijo, quench, quenching, quest, questionable, quickact, quickly, quiet, quotation, r-1, r-11, r-15, r-26, r-3, r-34, r-55, r-6, r-63, r-73, r-80, r-9, r-ft1, r.20-372, r.59-3, r1019, r1088, r1109, r114, r117, r1183, r129, r1292, r1296, r134, r136, r195, r212, r22, r235, r255, r330, r37, r39, r40, r51, r52, r78, r794, r82, r820, r833, r847, r909, r950, r963, r969, r974, rabotnov, radartracking, radialband, radian, radii, radkowskus, radome, radon, rainbird, rainey, rake, raleigh, ralph, rameter, ramo, ramp, randall, randomly, randomness, randon, rannie, rapidity, rarefied, ras, ratiobeen, rb, re-derive, re-entrant, re-establish, re-orbit, re-solidification, reactor, ready, reaffirm, realgas, realise, realistically, realization, reanalysis, reanalyze, rearranged, recesso, recherches, reciprocally, reciprocity, recirculate, recognise, recover, recoverable, rectangle, rectilinear, recur, recurrence, recursion, redefinition, redesign, redirect, reducedfrequency, reducedmodulus, reed, reeder, reenter, reentrytype, reexamine, referenceenthalpy, refined, reflex, reformulate, refract, regirer, register, reichardt, reimpinge, reinforcement, reinvestigate, relativistic, relay, relevance, relieve, rely, remains, remember, remmler, removable, removal, repair, repercussion, repetition, replacement, reply, representable, reproducible, requency, request, required, researcher, researchtype, researchvehicle, reservation, resiliant, resisted, resonable, resource, resultantforce, retarded, retrocket, retrorocket, retrovelocity, reuss, revealing, reversibility, reversible, revise, rhode, ri, rib, ribbon, riccati, richmond, ridyard, riedinger, rigidly, riolate, riva, rivet, rk, rmdavies, rml53g10a, rms, roa, road, roar, robertson, rock, rocketon, rod, roe, roghness, rom, romano, rosecran, rosenbrock, rosenzweig, ross, rothstein, roughen, rounded, roundness, rouse, routhhurwitz, routinize, rozyckus, rp, rpm, rpn, rsult, rubin, ruckeman, rudimentary, rudin, ruhr, runge, runyal, runyam, russell, russian, russo, rutkowskus, ryna, saab, sachenkov, safe, safely, saibei, sail, sakao, sakurus, salmon, salmus, salter, samuel, sandpaper, sanger, sarason, sashkin, satelite, satellites, sato, satyanarayana, sauer, saunders, save, savin, saving, scanlan, scanning, scarshaack, scattering, sce, schaaf, schaffer, schematic, schermerhorn, schetz, scheuing, schjeldrup, schlesinger, schneider, schoenherr, schuh, schwarz, scoop, scooping, se, sealing, seasonal, seattle, secant, sechler, sectioned, secure, security, sedimentation, sedney, sedov, seed, seeding, segmented, seiff, selecting, selective, selfpreserve, sell, semiballistic, semicircle, semicircular, semidiameter, sensible, separable, sept, sequel, serenity, serpico, service, servo, sesired, session, seventhpower, severely, severly, sewall, sextic, sgn, shadow, shallower, shandor, shank, sharpedge, sharpnosed, shea, shears, shearstress, sheath, shee, sheerlan, sheltered, sheng, sherman, shesterikov, shifting, shirtliffe, shockboundary, shockdetachment, shocked, shockexpansion, shockinduced, shockless, shockstandoff, shortening, shorter, shortest, shortlifetime, shortly, shuffle, shukhovitskius, shypersonic, sideforce, sideslipping, sight, sign, sigularity, silencing, silica, silver, simpson, sinchtel, sinclaire, singleand, singlepass, singlestage, singletype, singly, sinott, sir, sizeable, sized, skene, sketchy, skew, skewed, skewedparabolic, skill, skirt, skirted, skramstad, slattery, slew, slide, slider, slighlty, sloped, sloshing, slower, slr, slug, slye, sm22627, smallness, smell, smoothing, smoothness, snow, soak, sobsonic, socalled, society, sol, solidconstruction, solide, som, sommer, sommerfeld, sonder, sophisticated, soret, soundsource, southwest, sp, spacewise, spahr, spaid, spark, sparkschlieren, spaulding, specialise, specialization, specialized, specifiic, spectacular, spectrograph, speedsthree, spera, sperical, spheric, sphericalatmosphere, spiegler, spillage, spillman, spindle, spinner, spiralling, spirit, spite, splitter, spontaneously, spot, spray, spreemann, spurious, sputnik, sr-n1, stack, stagger, stalder, stalker, stalling, stalmach, standardize, stanford, staniforth, stanitz, stanworth, stark, statical, statistically, statistics, steadystate, steamline, steepest, steepness, stefan, stepdown, stephen, stergi, stimulus, stipulate, stochastic, stockman, stoddard, stojanovic, stoker, stokes, stollery, stoney, stony, strange, stratagem, streak, streamlines, strengthening, stressed, stretched, stripanalysis, stroboscope, stroboscopic, stronger, strouhal, studied, sturm, subarc, subaudio, subjective, subroutine, subsidiary, subtend, suck, suer, suffix, sugar, suitability, sullivan, summation, sunderland, sunnyvale, supercircular, superfast, superficial, superiority, superpose, superscript, supersede, supplorted, supposition, sure, surely, surfacetemperature, surpass, surprising, surrounding, sustaining, swallow, swanson, sweeting, swigart, swihart, switching, sychev, synge, synthesis, synthesize, systematize, szewczyk, t3, t4, tacitly, tailing, tailless, tailored, tailwind, talbot, tang, tanner, targoff, task, taxiing, tb, teare, technologically, technote, teddington, telemetered, tell, temp, templeton, temprature, tendeland, tennessee, termination, terminology, termperature, termwise, terrestrial, tetrachloride, thein, themselves, theoretic, therefrom, thermalfatigue, thermoaeroelastic, thermoelasticity, thermomechanic, thermomechanical, thermopropulsive, thesis, theta, thielemann, thing, thinwall, thirdly, thn, thomman, thornton, thorough, threaten, threedimensionality, threshold, throttle, thyson, tical, till, tional, tirumalesa, titan, tj, tk, tm.x-263, tn-d, tn4045, tne, tnis, toambient, tobia, tobody, today, tolerable, tollmienschlicht, tomomentum, tooth, torda, toriconic1a, toriconical, totalangle, touloukian, towall, townend, toxic, tp, tracking, tractable, tractor, traditional, trails, transcendant, transcendental, transducer, transfn, transformed, transit, translate, translatory, transpire, transportation, transversality, traversal, traversing, trefftz, trefitz, trellum, treon, trf, tribute, trick, triggering, trigonometrical, trimmed, trimpus, trochoidal, truman, truncation, try, tsion, tsu, tt, tubing, tubular, tubulence, turbance, turbo, turbojetpowered, turbomachine, turner, twisting, twoand, twomode, typically, typographical, typography, u-r, u-v, u1, u2, uhf, ultracentrifuge, unablated, unaccompanied, unangst, unanticipated, unavoidable, unbalanced, unbanked, unblunted, uncertain, unconstrained, uncontrollable, uncorrected, uncoupled, undamped, underexpanded, underexpansion, underneath, underside, undersurface, undesirable, undetermined, undoubtedly, undrooped, unduly, unevenness, unexpected, unexpectedly, unexplained, unfamiliar, unfavourable, unfilled, unflanged, unfold, unhappy, uni, unidirectional, unidirectionally, unification, unimportant, unintentionally, unitary, united, univeral, unmanned, unorthodox, unperturbed, unpowered, unpublished, unrealistic, unreality, unrelativistic, unresolved, unrestrained, unrestricted, unretarded, unseparated, unspecified, unsteadily, unsupported, unsymmetrical, untenable, untested, untrimmed, upflow, upward, uram, urgent, usa, usaa, usage, usefully, usefulness, user, ussr, utia, utilzation, ux, v-groove, v-shaped, v184, vafako, valuedness, valve, vandyke, vanguard, vanishe, vaporize, vapour, variability, variabletemperature, variant, variations, varley, varying, vas, vd, ve, veiocity, velocitycomponent, velocitydistribution, velocityprofile, vent, venturi, veocity, verfy, versatility, versuchsanstalt, vertexcentered, verticaltake, vertregt, vg, viii, vinson, violate, violet, viscid, viscoelasticity, viscositytemperature, visibility, vision, visualize, vital, vlasov, vn, volta, volterra, volumetric, vondoenhoff, vonkarman, vs, vv, vz-2, w-a, wah, waisted, wakelike, waldman, walle, walshe, walton, wan, wang, warhead, warmer, warn, warped, wash, wasserman, wassermann, wavefront, waves, wavevelocity, waviness, wax, weaker, weakly, weave, wedgetype, weertman, wegstein, weierstrass, weigh, weighted, weighting, weil, weitbrecht, weitzner, wellestablished, wendt, wenk, wet, wetted, wgs, wheel, wherever, whichever, whirl, whisker, whitcomb, whitehead, whitfield, wi, wich, wick, widen, widespread, wight, willett, willmarth, willus, wimbrow, windenburg, windstream, wingpropeller, wingtail, winkler, winny, wisblatt, wisniewskus, wissler, withdrawal, wittcliff, wittrick, wm, wo, woinowsky, wong, wooded, woodgate, wooldridge, woolley, workingsection, workman, world, worsen, worthwhile, worthy, wray, wrinkled, writings, wyatt, x-222, x-288, x-300, x-610, x-coordinate, x-ray, x-transformation, x-y, x106, x127, x503, xenon, xiii, y-axis, y1, y2, yakura, yao, yarymovych, yasuhara, yeh, yeild, yeram, yh, yili, ym, yoler, yoshihara, yoshikawa, yoshira, yosinobu, yt, yuan, yuseff, yy, z-plane, z-section, zamm, zartarian, zbrozek, ze, zehnder, zeisberg, zerolift, zeroth, zeydel, zhukhovitskius, zienkiewicz, ziering, zoom]

#### Stem version
**Term with largest `df`:** to

**Terms with smallest `df`:**
[100degre, 100x10, 109placement, 10g, 10th, 1103a, 12degre, 1400degreek, 14in, 159l, 15x10, 180degre, 18in, 1degre, 1f, 1x10, 200degre, 20degreec, 20in, 24, 2by, 2n, 2nd, 2p, 2x10, 3000degreek, 30th, 32pp, 3600degreek, 40degre, 446j, 49degre, 4degre, 4ft, 4th, 4x10, 500degre, 55degre, 57d19a, 58l, 58w, 59a, 5d, 6000degreek, 63a2xx, 63a4xx, 64a010, 65a004, 65degre, 6in, 6th, 707a, 75, 75degre, 81e, 85degre, 8n, 8x10, 99degre, a131, a159, a252, a269, a50f06, a51j04, a52b06, a55c08, a55c23, a55h31, a56b15, aaaero, aaaeroconf, aasu, abbott, abbrevi, ablatedlength, abovement, absent, abundantli, acceleromet, accentu, access, accident, accru, acet, acquisit, acr, acrodynam, acrothermochemistri, acrothermoelast, actur, adamson, adjacentequilibrium, adjoin, adjoint, admixtur, adsorpt, advent, aeolotrop, aer, aerelast, aerfoil, aerial, aeroballist, aerocosmonaut, aerodynamich, aerodynamieist, aeroelastician, aeronautiqu, aerotherm, aerothermochem, aerothermodynam, aerothermoelast, affirm, afftc-tn-56-20, afra, afresh, afterflow, agenc, agraw, ailcron, airborn, aircrafttyp, airforc, airlin, airload, airscrew, ak, akin, al1029, alan, algrantu, align, alksn, allcock, allmov, allround, allud, altogeth, ambrit, ambritir, amie, amongst, ampl, ampli, analytici, anastasio, anc, andland, angel, angew, anh, anhedr, anisotropi, ann, annex, anniv, announc, annual, annul, anov, anthoni, anti, antielast, anywai, ao, apoge, apparentmass, appraoch, apropri, aquart, ara, arbor, arch, ardc, aren, ari, armstrong, arrest, arrow, arsj, arsjnl, as-receiv, asc, ascrib, ashlei, ashwel, asid, asimplifi, ask, aspect-ratio-2, aspect-ratio-6, aspectratio, assert, assort, assur, astro, astrophi, astrophys, atabeck, atlarg, atospher, attaindd, atten, audio, aural, auspic, av, avalu, avov, avro, ax, axialthrust, ayr, backup, backward, bakanov, balsa, ban, bang, barber, bare, barmbi, baron, barrel, barri, bartl, basetyp, baughman, bb, beaslei, beat, beckett, bed, beg, belief, bellevil, bellman, belltyp, belt, bendict, bendingtors, benser, bent, benton, beograd, ber, berger, bergl, bergmann, berlot, bernard, berndt, berner, bernoulli, berthelot, beskin, beta, bethpag, bevel, beyween, bijlaard, billow, bimetal, bimolecular, birchal, birnbaum, bisector, bisplinghoff, blacki, blackstock, bland, bleich, blend, bless, blowout, bloxson, blue, bluish, blunttrail, board, boat, bobbitt, bodt, boiloff, boison, bolshakov, bolz, bomb, bonu, boost, borcher, born, bornel, bounari, boundwel, boxal, boyd, boyer, bracalent, bracket, branchlin, brandmaier, bratt, braunschweig, breguet, brenckman, brevoort, bright, bristol, britton, broadbent, broadwel, bromm, brother, brower, bruch, brush, bryant, bryce, bryer, bryson, builtup, bulent, bulg, bulkhead, bullen, bullet, bump, buoyanc, burgraf, buri, burk, burton, butler, buzz, bv, by-characterist, bypass, cabin, calib, callaghan, callahan, camac, camb, camera, canard, cant, capillari, capsul, caravel, carbid, carborundum, card, carderock, cardullo, caret, carro, casaccio, cast, castigliano, castil, castolit, cater, catheral, cathod, caution, ccl, cd, cellulos, centaur, centerof, centigrad, centrelin, centripet, centroid, certainti, chain, chalr, chann, chap, characteristi, charczenko, charter, chase, chaudhuri, chemisorpt, chen, cheski, chester, chien, child, chilver, ching, chinitz, chinneck, cholesku, chou, chow, chrichlow, christiaen, christian, circuit, circuitri, circumlunar, citi, ck, clamshel, classifi, classificaiton, claus, clauser, clean, clearanc, climin, clinton, clipping, closest, closur, clouston, clutter, co-author, co-curr, co-planar, co-rot, co-work, co2, coalesc, coars, coast, coat, coe, coefstant, coher, colder, coleman, colloc, colour, colston, columnmateri, combustionh, combut, command, commenc, comp, companion, compet, competit, complimentari, compound, compressibleflow, compression, concoct, concret, condamp, conductioncontrol, conductionexpans, conductor, conf, confid, conformaltransform, congr, conidt, connexion, connor, conpress, consier, consolid, const, constanc, constantdens, constantinescu, constantino, constantli, consumpt, contempl, context, contradict, contu, convair, convergentdiverg, convict, convolut, cooksei, cooler, cope, copper, corollari, corpuscular, correlogram, cortright, cosin, cosmonaut, coulomb, coundari, count, counteract, counterclockwis, coupon, cp115, cp213, cp271, cp394, craft, creager, creas, creepbuckl, crest, crinolin, crook, crosscorrel, crush, csanadi, cubbison, culebra, cum, cumbersom, cup, cure, curran, curri, curtain, curti, cuss, cutoff, cx, cylinder, cylinderhemispher, d-1016, d-1108, d-1186, d-1202, d-1374, d-1382, d-1503, d-1507, d-1521, d-48, d-515, d-580, d-649, d-693, d-743, d-800, d-855, d-893, d-914, d-c, d1000, d1074, d1145, d118, d1224, d1239, d1299, d1304, d1327, d1333, d1352, d1353, d1385, d1391, d1427, d1428, d1476, d1482, d1485, d1487, d1494, d1500, d1501, d1506, d1509, d1513, d1549, d1562, d1605, d161, d1616, d1648, d235, d278, d280, d284, d349, d360, d397, d44, d452, d48, d49, d53, d535, d56, d564, d590, d618, d625, d659, d671, d689, d704, d729, d730, d731, d735, d753, d791, d798, d813, d826, d833, d859, d860, d880, d881, d921, d962, d977, d984, daiber, dalei, dalton, dampomet, dana, dashin, dashn, dashth, dashthat, daughadai, daytim, dcae, dcf, de-excit, debat, dec, decad, decidedli, declassifi, declin, decompos, decomposit, deeper, deepest, deffer, defi, deflagr, degrad, degreer, deich, deioniz, deisgn, delft, delimit, delin, demarc, demarcu, denc, deni, denmark, denomin, denser, dent, depict, deplet, depress, deputi, deryagin, desk, determinant, deutsch, dev, devel, devreas, dewpoint, df, diaconi, diagon, diam, diaz, dicamillo, dickinson, dicsov, dictat, diego, dielectr, dilat, dill, dilut, dimmock, dipol, dirac, dirichlet, discover, discretefrequ, disequilibrium, disloc, dismiss, dispar, dispos, dissert, dissimilar, dissociationrecombin, distant, div, divers, diversifi, dn, doctor, dodecagon, doggett, dome, don, doppler, dore, dorodnitsyn, dorodnitzinhowarth, dorodnitzyn, dorranc, dosanjh, doubli, dougla, dover, doyl, dp, dragutin, dramat, dransfield, drape, draper, drift, dropoff, drosophilum, drougg, drum, dsc, du, dubos, duce, dufour, dugan, dugundju, dugundu, duncan, dunsbi, dunwoodi, duralumin, dusinberr, dust, dvl, dx, dyer, e-d, e-versus-tim, e05a, e53h25, e56b03b, e56l07, e57e06, e9k25, earl, easier, easiest, echo, economi, economo, eddyviscos, edelfelt, edelflet, edgedisplac, edit, edpm, educ, efficaci, efflux, effus, egat, eggington, egm, eigenvector, einbind, ejector, elec, electro, electrod, electroform, electrohydrodynam, electrostat, eleg, ellipselik, elong, emb, embryon, emerg, emphasis, enc, encircl, endeavour, endors, endplat, endur, engess, eniac, enjoi, enlighten, enorm, enquiri, enskog, ensu, enthalp, entireti, entitl, envisag, eo, ep, epoxi, equatori, equicohes, equilater, equilibr, eratur, erdmann, erfc, erickson, errat, eter, eucken, eulerian, ev, everett, evvard, exagger, excus, exot, exp, expend, exponentiallyfici, expound, extinct, extra, ey, f-100, f-35, f1, f2, f40umer, f8u-3, facet, fage, faget, falangan, fale, fano, farmingdal, fasten, fat, faulder, feb, fec, fed, fetterman, fewer, ff-30, fg, fh, fibrou, financi, fineness-ratio-2, finest, finish, finitediffer, firm, firmer, firstord, fisher, fission, fixedpitch, fl-layer, flagg, flash, flatplat, flax, flex, fllayer, floccul, florida, flown, fluiddynam, fluidiz, fn, foelsch, fog, fohrman, folson, forb, forcibl, forefront, foreknowledg, forrai, forst, fort, forti, forwardacceler, forwardflight, foughner, foundat, fourcompon, fourthord, fourwav, fox, fpre, fraiser, franc, franci, frank, frankel, fredholm, freedman, freudenth, frictionless, friedman, frontal, frozenflow, frustrat, fujihiko, fund, fur, furnac, fuse, fuselagesect, g-load, gallagh, gardless, garner, gascou, gather, gaydon, geckel, gee, gehr, genuin, geoffrei, geophi, geophys, georgium, germani, gerrard, gersten, gibb, gilbert, gill, ginzel, giraud, gj, gk, gkbatchelor, glanc, glassi, glenni, glick, globul, glycerin, gm-tr-0165-00519, goal, goddard, goebel, goetz, golian, gollnick, goodier, goodwin, gorcum, gore, gothic, gottenberg, gous, graduat, grai, gram, grand, grant, granular, granvil, grape, grashof, grasshof, gravitz, graze, greensit, gregg, gridwork, grifith, grober, grossman, grunow, gs, gt, guggenheim, gui, gvr, gyrat, gyroscop, gz, h-200, h-p, h180, h2, h2o, haag, haberman, hadamard, haggenmach, hai, hale, halei, halfangl, halfwai, halstead, halv, hama, hamel, hamilton, hammerhead, hammerl, hammond, hamper, hanawalt, hancock, handbook, handicap, handlei, hangl, hankelman, hantzsch, hara, hardwar, harold, hartnett, hartunian, hash, haskel, haslet, hass, hast, hasten, hauser, haveg, haydai, hayer, hayman, hazard, heaslet, heaslett, heav, heavier, heimel, heimenz, heisler, heldenfel, helger, helic, heliocentr, hemispheroid, hemu, hencki, hennessi, herberl, hero, herriot, herrnstein, heuman, heywood, hick, hickman, highenergi, higherord, highfrequ, highveloc, hilsenrath, himself, hinder, hingeaxi, hinson, hirschfeld, hirshfeld, hislop, hitherto, hja, hm, hodg, hog, hoge, holer, holl, holland, hollowai, hollowcylind, homann, hopelessli, hopf, hopkin, hopper, hosokawa, hosowaka, hotter, houbolt, hous, housefli, howard, howel, howorth, hpyerson, hu, huber, hubka, huckel, huff, hufton, huggett, humphrei, hundr, hunter, hunton, hunzik, hurd, hurl, huston, hybrid, hydroballist, hydrocarbon, hyett, hyp, hypass, hyperlipt, hypersoul, hysol, hysteret, i-beam, i-de, i-sect, i-vi, ibm-704, iee, ifer, igc, igi, iii-4, illinoi, illustri, imaginari, imai, immobil, immov, impair, impart, imperi, implement, impress, imprimeri, improp, in-flight, in-phas, in-plan, inaccess, inadmiss, inadvert, inafinit, inapplic, inappropri, inasmuch, inboard, incident, incom, inconclus, inconel, incrementalnorm, indefinit, indetermin, indirectli, indium, inducedpressur, ineffici, inerti, inexpens, infiniteaspect, infit, influenti, ing, inhomogen, injectioncool, injector, ink, inletmass, inop, inouy, inplan, insect, inspir, instant, instig, integrand, integrodifferenti, intensif, intensifi, intent, intention, interanl, interchang, intercrystallin, interdepend, interferogram, intergranular, interim, internat, interpos, interstellar, intract, intrieru, introdur, intuit, investigaion, inviscidflow, invok, inyokern, iodin, iowa, ir, irbm, iron, irrit, isaac, isakson, isochronousstress, isofoam, isotop, item, iw, jackson, jacob, jacobian, jahsman, jai, jame, janzen, jaszlic, jefferi, jeffrei, jeg, jenson, jetboundari, jetexit, jetlik, jetstream, jhb, ji, jmin, jmjn, jnb, jnr, jo, jogarao, johannesen, johansen, jointli, jouguet, joul, joyc, jplprog, jra, judici, jugoslavium, jukoff, k-25, ka, kallmann, kalman, kana, kanwal, karchmar, kawagutu, keat, keck, keenan, keener, keith, kellei, kempf, kendrick, kenni, kernal, kernelfunct, kerrebrock, kester, keulegan, keun, kfa, kh, kidalgo, kilakowsku, kilometr, kingdom, kippenhan, kirbi, kivel, kj, klebanoff, kleeman, knee, knox, ko, kochendorf, kogan, komoda, korkegu, kosson, kramp, krasilshchikova, krieger, krqu, krumm, krypton, kth, kubota, kuehn, kueth, l-band, l40, l51e09, l52119a, l53e27, l53h04, l54e05a, l54i16, l55k30, l56106, l56e07, l58, l58a16, l58e15a, l58e22, l5d20, l9g06, labour, lackman, lacquer, laguerr, laidlaw, lakshmikantham, lambert, lamin, laminarboundari, laminari, laminarturbul, lanc, landau, landrum, langer, langhaar, lap, laplacian, lardner, largeangl, largeaspect, largechord, largescal, late, latent, laurenc, lavend, legitim, lehnert, lengthen, lennard, leonard, letko, letter, lever, levin, levinski, liabl, liapunov, libov, librat, librov, licens, lieberstein, liebersten, liepmann, liftingsurfac, lightli, liilum, lina, linder, lindholm, lineal, linearizedtheori, lingitudin, liouvil, lip, liquidinject, liveslei, livingood, lmethod, ln, localsimilar, lochtenberg, locu, loitsianskiu, longest, longitudinalvortic, longtim, loo, look, loop, lopatoff, lotz, loudspeak, loui, lowaspect, lowsubson, lowturbul, lr, lr-284, ls, ltd, lucid, ludweig, ludwieg, luftfahrt, luiden, lunar, lw, lynn, lyskov, m-2, m3012, m359, mabei, macadam, macdonald, machel, machnumber-8, mackenzi, macneal, magasarian, magnesium, magnetoacoust, magnetofluidmechan, magnetoga, magnetoplasma, mahoni, maillard, mainten, majorminor, malfunct, malvestuto, manag, mang, manocuvr, manomet, marin, mario, maritim, marsden, martelluccu, maryland, massachusett, massbal, massbalanc, master, masu, mather, mauric, mautner, maximuin, maxwel, may, mayo, mbt, mccarthi, mccomb, mcconnel, mcdearmon, mcgraw, mcgregor, mcisaac, mckenzi, mckinnon, mclachlan, mclafferti, mclean, mcmillan, mcnown, mdc, me-tn-392-1, mead, meansquar, meh, mehtod, meissner, melamin, mello, melvin, memori, merger, merl, merriam, mescal, mesh, messit, meteorit, methanol, mev, mf, mhd, mich, micromanomet, micron, microwav, midchord, middlesex, midspan, midwai, miel, migrat, mikula, mil, mild, miller, millimet, miltonberg, mind, miner, minhinnick, minneapoli, mirror, misalin, mismatch, mistak, mitig, mixedflow, miyau, ml, mo, mol, molten, molybdenum, momentari, monograph, monopol, monoxid, morn, mostli, motionless, mound, mountain, mp, ms26, msvo, mth, muffler, mulheim, mullen, muller, multhopp, multiaxi, multibai, multicellular, multicompon, multipropel, multu, mum, munk, murduchow, murrow, mushtaru, mw-1, myself, n102, n103, naaa, nacelleexit, nack, nada, nagakura, naleid, nall, nardo, narus, national, nautic, naysmith, nd, ne, nearer, neater, negat, neic, neighbour, ness, neumark, newli, newsom, newtonium, neyman, ni, nice, nichol, nick, niclei, nimon, ninefold, nineteen, ninth, nitric, nitzburg, no-slip, nocturn, nomenclatur, nomograph, nonabl, nonalign, noncirculatori, noncommun, nonconcurr, noncorros, nondecompos, nonexist, nonflamm, nongyroscop, nonheat, nonhomogen, noninclin, noninject, noninsul, nonisentrop, nonisotherm, nonneg, nonorthogon, nonperm, nonplanar, nonrigor, nonsingular, nonslationari, nonslend, nontox, nontrivi, nonun, nonweil, normalpressur, norman, notabl, noteworthi, notion, nozzleexit, np, nr, nt, nullifi, numger, nuttal, nw, nyholm, o2, ob, objection, obliter, obscur, obtainec, obvious, oc, occasion, occupi, oct, octagon, octahedr, octav, ofattack, offenhartz, offset, ofr, ogivecylind, ohm, ohman, ok, okuno, ol, old, olsson, olstad, om, oman, onera, onetenth, onic, ont, onto, op, opaqu, openend, oppenheim, orderof, organ, orgin, origint, orlfic, orlik, orr, oscillograph, osoen, ottawa, ouel, outermost, outweight, ovalu, oven, overexpans, overhang, overli, overlook, overrid, overshadow, oversimplif, oversimplifi, overst, overstat, oversw, ower, p-28, p-43, p-function, p.229-245, p143, p184, p241, p307, p35, p43, p480-1, p513, padlog, pain, painlev, paint, palt, pankhurst, pappa, papreg, para, parabola, parasol, pari, parietal, particledens, partit, passeng, peckman, peclet, pegg, peng, penland, pennelegion, pennington, penzien, peopl, percentthick, perfectga, periment, perplex, persh, person, pessimist, petersohn, pf, philadelphium, phillip, philo, phosphoresc, photoelast, phugoid, physcal, physico, physiolog, picard, pierc, pierci, pimpl, pin, pindroh, pitman, planck, planetocentr, plast, plateau, platinum, plenum, plk, plohr, plung, ply, pn, pneumat, pod, poetic, poincar, poind, pointednos, poiscuil, pole, polyaxi, polycrystallin, polym, polystyren, ponderomot, pool, popular, popularli, portiou, pose, postpon, potentialflow, potentiomet, poudr, powerpl, practition, prager, prebuckl, precess, preclud, predigest, preheat, premis, premix, prep, preponder, pressureinteract, pressureratio, preval, previouslygiven, prewhirl, prian, price, pride, priester, prikl, prime, prism, prismat, profound, proj, prolat, promin, propellerresearch, proposel, proposit, propound, prospect, protein, proton, protrus, protuber, provis, provision, provok, pseudo, psu, psycholog, pugh, pursu, puzzl, pwh, pyramid, pyrex, qjmech, quadruplet, quantum, quarterchord, quartic, quasu, queiijo, quest, quickact, quickli, quiet, quotat, r-1, r-11, r-15, r-26, r-3, r-34, r-55, r-6, r-63, r-73, r-80, r-9, r-ft1, r.20-372, r.59-3, r1019, r1088, r1109, r114, r117, r1183, r129, r1292, r1296, r134, r136, r195, r212, r22, r235, r255, r330, r37, r39, r40, r51, r52, r78, r794, r82, r820, r833, r847, r909, r950, r963, r969, r974, rabotnov, radartrack, radialband, radian, radii, radkowsku, radom, radon, rainbird, rainei, rake, raleigh, ralph, ramet, ramo, ramp, randal, randomli, randon, ranni, ratiobeen, rb, re-der, re-entr, re-establish, re-orbit, re-solidif, reactor, readi, reaffirm, realga, realis, reanalysi, reanalyz, rearrang, recesso, recherch, recognis, recov, recover, rectangl, rectilinear, recur, recurr, recurs, redefinit, redesign, redirect, reducedfrequ, reducedmodulu, reed, reeder, reenter, reentrytyp, referenceenthalpi, reflex, reformul, regir, regist, reichardt, reimping, reinvestig, relai, relativist, reli, reliev, rememb, remmler, repair, repercuss, repetit, repli, requenc, request, researchtyp, researchvehicl, reserv, resili, resourc, resultantforc, retrocket, retrorocket, retroveloc, reuss, rhode, ri, rib, ribbon, riccati, richmond, ridyard, rieding, rigidli, riolat, riva, rivet, rk, rmdavi, rml53g10a, roa, road, roar, robertson, rock, rocketon, rod, roe, rogh, rom, romano, rosecran, rosenbrock, rosenzweig, ross, rothstein, roughen, rous, routhhurwitz, rozycku, rp, rpm, rpn, rsult, rubin, ruckeman, rudimentari, rudin, ruhr, rung, runyal, runyam, russel, russian, russo, rutkowsku, ryna, saab, sachenkov, saibei, sail, sakao, sakuru, salmon, salmu, salter, samuel, sandpap, sanger, sarason, sashkin, satelit, sato, satyanarayana, sauer, saunder, savin, scan, scanlan, scarshaack, sce, schaaf, schaffer, schemat, schermerhorn, schetz, scheu, schjeldrup, schlesing, schneider, schoenherr, schuh, schwarz, se, seattl, secant, sechler, sediment, sednei, sedov, seed, seiff, selfpreserv, sell, semiballist, semicircl, semicircular, semidiamet, sensibl, sept, sequel, seren, serpico, servic, servo, sesir, session, seventhpow, severli, sewal, sextic, sgn, shadow, shandor, shank, sharpedg, sharpnos, shea, shearstress, sheath, shee, sheerlan, shelter, sheng, sherman, shesterikov, shirtliff, shockboundari, shockdetach, shockexpans, shockinduc, shockless, shockstandoff, shorter, shortest, shortli, shortlifetim, shuffl, shukhovitskiu, shyperson, sideforc, sight, sign, sigular, silenc, silica, silver, simpson, sinchtel, sinclair, singleand, singlepass, singlestag, singletyp, singli, sinott, sir, sizeabl, skene, sketchi, skewedparabol, skill, skramstad, slatteri, slew, slide, slider, slighlti, slosh, slower, slr, slug, slye, sm22627, smell, snow, soak, sobson, socal, societi, sol, solidconstruct, som, sommer, sommerfeld, sonder, sophist, soret, soundsourc, southwest, sp, spacewis, spahr, spaid, spark, sparkschlieren, spauld, specialis, spectacular, spectrograph, speedsthre, spera, speric, sphericalatmospher, spiegler, spillag, spillman, spindl, spinner, spirit, spite, splitter, spontan, spot, sprai, spreemann, spuriou, sputnik, sr-n1, stagger, stalder, stalker, stalmach, stanford, staniforth, stanitz, stanworth, stark, steadyst, steamlin, steepest, stefan, stepdown, stephen, stergi, stimulu, stipul, stochast, stockman, stoddard, stojanov, stoker, stolleri, stonei, stoni, strang, stratagem, streak, strengthen, stripanalysi, stronger, strouhal, sturm, subarc, subaudio, subroutin, subsidiari, subtend, suck, suer, suffix, sugar, sullivan, summat, sunderland, sunnyval, supercircular, superfast, superfici, superpos, superscript, supersed, supplort, supposit, surfacetemperatur, surpass, surpris, swallow, swanson, sweet, swigart, swihart, switch, sychev, syng, synthes, synthesi, szewczyk, t3, t4, tacitli, tailless, tailwind, talbot, tang, tanner, targoff, task, taxi, tb, tear, technot, teddington, tell, temp, templeton, tempratur, tendeland, tennesse, terminolog, termperatur, termwis, terrestri, tetrachlorid, thein, themselv, therefrom, thermalfatigu, thermoaeroelast, thermomechan, thermopropuls, thesi, theta, thielemann, thing, thinwal, thirdli, thn, thomman, thornton, thorough, threaten, threshold, throttl, thyson, tical, till, tional, tirumalesa, titan, tj, tk, tm.x-263, tn-d, tn4045, tne, tni, toambient, tobia, tobodi, todai, tollmienschlicht, tomomentum, tooth, torda, toricon, toriconic1a, totalangl, touloukian, towal, townend, toxic, tp, tractabl, tractor, tradit, transcend, transcendent, transduc, transfn, translatori, trefftz, trefitz, trellum, treon, trf, tribut, trick, trigger, trimpu, trochoid, truman, try, tsion, tsu, tt, tubul, tubular, turbanc, turbo, turbojetpow, turbomachin, turner, twoand, twomod, typograph, typographi, u-r, u-v, u1, u2, uhf, ultracentrifug, unabl, unaccompani, unangst, unanticip, unavoid, unbalanc, unbank, unblunt, uncertain, unconstrain, uncontrol, uncorrect, undamp, underexpand, underexpans, underneath, undersid, undersurfac, undesir, undetermin, undoubtedli, undroop, unduli, uneven, unexpect, unexpectedli, unexplain, unfamiliar, unfavour, unfil, unflang, unfold, unhappi, uni, unidirect, unidirection, unif, unimport, unintention, unitari, univer, unman, unorthodox, unperturb, unpow, unpublish, unreal, unrealist, unrelativist, unresolv, unrestrain, unrestrict, unretard, unsepar, unspecifi, unsteadili, unsupport, unsymmetr, unten, untest, untrim, upflow, upward, uram, urgent, usa, usaa, usag, usefulli, user, ussr, utia, utilz, ux, v-groov, v-shape, v184, vafako, valued, valv, vandyk, vanguard, vapour, variabletemperatur, variant, varlei, vd, ve, veiociti, velocitycompon, velocitydistribut, velocityprofil, vent, venturi, veociti, verfi, versatil, versuchsanstalt, vertexcent, verticaltak, vertregt, vg, viii, vinson, violat, violet, viscid, viscositytemperatur, vision, vital, vlasov, vn, volta, volterra, volumetr, vondoenhoff, vonkarman, vs, vv, vz-2, w-a, wah, waist, wakelik, waldman, walsh, walton, wan, wang, warhead, warmer, warn, warp, wash, wasserman, wassermann, wavefront, waveveloc, wax, weaker, weakli, weav, wedgetyp, weertman, wegstein, weierstrass, weigh, weil, weitbrecht, weitzner, wellestablish, wendt, wenk, wheel, wherev, whichev, whisker, whitcomb, whitehead, whitfield, wi, wich, wick, widen, widespread, wight, willett, willmarth, willu, wimbrow, windenburg, windstream, wingpropel, wingtail, winkler, winni, wisblatt, wisniewsku, wissler, withdraw, wittcliff, wittrick, wm, wo, woinowski, wong, woodgat, wooldridg, woollei, workingsect, workman, world, worsen, worthi, worthwhil, wrai, wyatt, x-222, x-288, x-300, x-610, x-coordin, x-rai, x-transform, x-y, x106, x127, x503, xenon, xiii, y-axi, y1, y2, yakura, yao, yarymovych, yasuhara, yeh, yeild, yeram, yh, yili, ym, yoler, yoshihara, yoshikawa, yoshira, yosinobu, yt, yuan, yuseff, yy, z-plane, z-section, zamm, zartarian, zbrozek, ze, zehnder, zeisberg, zerolift, zeroth, zeydel, zhukhovitskiu, zienkiewicz, zier, zoom]

### Document with largest `max_tf` and `doc_len`

`max_tf`: 1400
`doc_len`: 798